import { world, system } from "@minecraft/server";

function runCommand(player, command) {
    system.run(() => {
        player.dimension.runCommandAsync(`execute as ${player.name} at ${player.name} run ${command}`);
    });
}

function useUpItem(player, item) {
    const inv = player.getComponent("inventory").container;
    if (item.amount > 1) {
        item.amount -= 1;
        inv.setItem(player.selectedSlotIndex, item);
    }
    else {
        inv.setItem(player.selectedSlotIndex, undefined);
    }
}


world.afterEvents.itemUse.subscribe((event)=>{
    const player = event.source;
    const item = event.itemStack;

    switch (item.typeId) {
        case "house:house1":
            player.sendMessage("Building House 1");
            runCommand(player, "structure load house1 ~ ~ ~");
            useUpItem(player,item);
            break;
        case "house:house2":
            player.sendMessage("Building House 2");
            runCommand(player, "structure load house2 ~ ~ ~");
            useUpItem(player,item);
            break;
        default:
            break;
    }
});